---
layout: page
title: "Dokumentation"
lang: de
---

Hier findest du Links zu Handbüchern, Tutorials und Referenzen, die beim
Ruby-Programmieren sicher nützlich sein werden.

### Erste Schritte

[Try Ruby!][1]
: Ein interaktives Tutorial für Anfänger, ursprünglich von Why the Lucky
  Stiff. Es ist nicht nötig, Ruby zu installieren, denn dieses ca.
  15-minütige Tutorial erlaubt es, Ruby-Code direkt im Browser
  einzugeben! (englisch)

[Hackety Hack][2]
: Ein einfacher Weg, Programmieren in Ruby mithilfe des GUI-Toolkits
  Shoes zu lernen. (englisch)

[Why’s (Poignant) Guide to Ruby][3]
: Ein unorthodoxes Buch um Ruby zu lernen.

[Ruby in zwanzig Minuten](/de/documentation/quickstart/)
: Ein kleines Tutorial zu den Grundlagen von Ruby. 20 Minuten sollten
  ausreichen.

[Ruby für Umsteiger](/de/documentation/ruby-from-other-languages/)
: Du willst von einer anderen Programmiersprache auf Ruby umsteigen?
  Egal ob C, C++, Java, Perl, PHP, oder Python – dieser Artikel ist für
  Dich!

### Anleitungen

[Programming Ruby][4]
: Dies ist die erste Auflage des bekannten Pickaxe Buches der Pragmatic
  Programmers. Es ist im Moment kostenlos im Internet verfügbar.

[Ruby User’s Guide][5]
: Übersetzung der japanischen Version von Yukihiro Matsumoto (der Vater
  von Ruby), diese Seite bietet einen Überblick über viele Aspekte der
  Programmiersprache Ruby (englisch).

[Programmieren mit Ruby][6]
: Ein deutschsprachiges Buch zum Thema Ruby von Armin Roehrl, Stefan
  Schmiedl und Clemens Wyss. Es steht vollständig kostenlos im Internet
  zur Verfügung.

### Referenzdokumentation

[Referenz zu Rubys Standardklassen][7]
: Dies ist die Referenz-Dokumentation des Rubykerns. Es handelt sich
  hierbei um eine aus dem Quelltext generierte Dokumentation (englisch).

[Referenz zu Rubys Standardbibliotheken][8]
: Dies ist die Referenz-Dokumentation der Standardbibliothek. Diese
  Dokumentation wird ebenfalls direkt aus dem Quelltext generiert
  (englisch).

[Referenz zu Rubys C-API][9]
: Eine C-API-Dokumentation von Ruby. Für Erweiterungen von Ruby ist
  dieses API absolut unverzichtbar. Es beschreibt die vordefinierten
  Schnittstellen für Erweiterungen in der Programmiersprache C und wie
  diese sowohl von der Ruby- als auch der C-Seite aus verwendet werden.

[RubyDoc.info][10]
: Die Referenzdokumentation für Ruby, Gems und auf GitHub gehostete
  Ruby-Projekte.

### Weitere Informationen

[Ruby-Doc.org][11] ist eine große Quelle von englischsprachigen
Dokumenten zum Thema Ruby. Das [Rubywiki][12] ist ein Wiki mit vielen
deutschsprachigen Artikeln. Für weitergehende Fragen steht eine große
[Community](/de/community/) zur Verfügung.



[1]: http://tryruby.org 
[2]: http://hacketyhack.heroku.com/ 
[3]: http://mislav.uniqpath.com/poignant-guide/ 
[4]: http://home.vrweb.de/~juergen.katins/ruby/buch/index.html 
[5]: http://www.rubyist.net/~slagell/ruby/ 
[6]: http://www.approximity.com/rubybuch2/ 
[7]: http://www.ruby-doc.org/core 
[8]: http://www.ruby-doc.org/stdlib 
[9]: http://www.ruby-doc.org/doxygen/current/ 
[10]: http://www.rubydoc.info/ 
[11]: http://ruby-doc.org 
[12]: http://wiki.ruby-portal.de 
