---
layout: page
title: "Documentación"
lang: es
---

Aquí encontrarás vínculos a manuales, tutoriales y referencias que te
serán útiles a la hora de desarrollar con Ruby.

### Para iniciarse

[¡Prueba Ruby!][1]
: Un tutoríal interactivo para principiantes en la web. No es necesario
  instalar Ruby para su utilización por lo que podrá iniciarse
  rápidamente en este lenguaje. Esta basado en el trabajo del
  desaparecido “Why the Lucky Stiff”.

[Aprende a programar][2]
: Un maravilloso tutorial por Chris Pine para los novatos en la
  programación en general. Si no sabes programar, comienza por aquí.

[Ruby en 20 minutos](/es/documentation/quickstart/)
: Un buen tutorial que cubre lo básico de Ruby. No debería tomarte más
  de 20 minutos hacerlo de principio a fin.

[Ruby desde otros lenguajes](/es/documentation/ruby-from-other-languages/)
: ¿Ya sabes programar en otro lenguaje? Ya sea C, C++, Java, Perl, PHP,
  o Python, ¡este artículo es para tí!

### Manuales

[Programming Ruby][3]
: El libro en inglés de referencia, esta primer edición del [libro de
  los Pragmatic Programmers][4] está disponible en línea en forma
  gratuita.

[La (conmovedora) guía de Why para Ruby][5]
: Un trabajo realizado por “Why the Lucky Stiff” lleno de zorros
  parlantes. Este pequeño libro está en camino a convertirse en un
  clásico de Ruby.

[La guía del usuario Ruby][6]
: Traducida al inglés desde su versión original japonesa escrita por
  Yukihiro Matsumoto (el creador de Ruby), esta versión de Goto Kentaro
  y Mark Slagell es un buen resumen de varios aspectos del lenguaje
  Ruby.

### Documentación de referencia

[Referencia del núcleo de Ruby][7]
: Extraída directamente del código fuente mediante [RDoc][8], esta
  referencia documenta todas las clases y módulos básicos (como String,
  Array, Symbol, etc…).

[Referencia de la Biblioteca Estándar de Ruby][9]
: También extraída del código fuente mediante RDoc, esta referencia
  documenta la biblioteca estándar.

[Referencia de la API C de Ruby][10]
: Documentación del código C subyacente en Ruby. Perfecta si quieres
  escribir extensiones en C para contribuír al desarrollo de Ruby.

### Otras lecturas

[Ruby-Doc.org][11] mantiene una extensa lista de fuentes de
documentación en inglés. También existen varios [libros sobre Ruby][12].
Si tienes preguntas sobre Ruby, la [lista de
correo](/es/community/mailing-lists/) es un buen lugar para comenzar.



[1]: http://tryruby.org/ 
[2]: http://pine.fm/LearnToProgram/ 
[3]: http://www.ruby-doc.org/docs/ProgrammingRuby/ 
[4]: http://pragmaticprogrammer.com/titles/ruby/index.html 
[5]: http://mislav.uniqpath.com/poignant-guide/ 
[6]: http://www.rubyist.net/~slagell/ruby/ 
[7]: http://www.ruby-doc.org/core 
[8]: http://rdoc.sourceforge.net 
[9]: http://www.ruby-doc.org/stdlib 
[10]: http://www.ruby-doc.org/doxygen/current/ 
[11]: http://ruby-doc.org 
[12]: http://www.ruby-doc.org/bookstore 
