---
layout: page
title: "Groupes d'utilisateurs"
lang: fr
---

Les groupes d’utilisateurs sont des mini-réseaux regroupant des
programmeurs par centre d’intérêt ou langue. Rejoindre et participer à
un groupe est une manière très efficace d’améliorer ses compétences et
de rencontrer d’autres programmeurs. Les groupes sont informels, au sens
que leur structure varient d’un groupe à un autre : certains consistent
en une simple liste de diffusion ou un forum, d’autres ont une assise
légale (association…) et organisent éventuellement des rencontres et des
conférences. N’importe qui peut former son propre groupe, y établir ses
propres règles, mais généralement, il sera plus intéressant pour vous de
rejoindre un groupe déjà existant que de lancer une initiative
redondante.

### Groupes

Pour rencontrer d’autres programmeurs Ruby, un groupe local (au sens de
la géographie) peut être un bon moyen de progresser, à condition d’en
avoir un près de chez vous. Les groupes Ruby sont bien évidemment
dédiés… à Ruby, mais aussi certainement à Ruby On Rails et à la
programmation objet en général : tout dépend du nombre de membres et de
leurs centres d’intérêt. De nombreux groupes proposent des réunions
mensuelles, une liste de diffusion interne pour ses membres, un site web
pour le partage des connaissances et, si vous êtes chanceux, des
réunions et conférences (la mode étant aux barcamp, rencontres autour
d’un verre dans un lieu adapté aux présentations).

[Ruby France][1]
: L’association française de promotion du language Ruby fédère un
  certains nombre de groupes locaux (Paris, Lyon…) et constitue par
  elle-même un groupe d’utilisateurs, centré autour de la liste de
  diffusion publique.

[Meetup][2]
: Un nombre non négligeable de groupes ont choisi de promouvoir leurs
  évènements chez Meetup. Cet outil propose des services variés
  concernant la gestion d’un groupe, notamment un forum privé, un
  endroit dédié aux annonces, des rappels automatiques pour les réunions
  à venir, ainsi qu’un système de réservation/agenda.

### Votre propre groupe

Si vous souhaitez former votre propre groupe, vérifiez bien qu’il
n’existe pas d’autre groupe dans votre localité ou aux alentours ! Les
réunions les plus larges sont généralement les plus amusantes et les
plus utiles : démarrer votre propre groupe n’est donc peut être pas la
meilleure idée s’il en existe déjà un proche. Par ailleurs, gérer un
groupe et le rendre attractif, notamment un groupe local qui
souhaiterait organiser des évènements, représente un travail non
négligeable et requière des compétences particulières. Une liste de
diffusion appelée [*Ruby Brigades*][3] est disponible pour les personnes
désirant savoir ce que font les autres groupes de part le monde.



[1]: http://www.rubyfrance.org/ 
[2]: http://ruby.meetup.com 
[3]: http://groups.google.com/group/Ruby-Brigades 
