---
layout: page
title: "Documentation"
lang: fr
---

Vous trouverez ici des manuels, tutoriaux et références pour apprendre
Ruby. Une bonne partie de ces ressources en langue anglaise. Sachez
qu’il existe une association française pour la promotion du langage
Ruby, [Ruby France][1], qui propose des tutoriels en français ; il
existe également plusieurs livres en français. Toutefois, la pratique de
l’anglais est recommandée car il s’agit *de facto* de la langue
dominante en informatique. Bon courage !

### Débuter avec Ruby

#### Ressources en français

[Ruby en ving minutes](/fr/documentation/quickstart/)
: Ce tutorial simple d’accès, **en français**, couvre les fondamentaux
  de Ruby. Ne devrait pas prendre plus de vingt minutes de votre temps !

[Passer d’un autre langage à Ruby](/fr/documentation/ruby-from-other-languages/)
: Vous êtes familier avec un autre langage de programmation et Ruby vous
  intéresse ? Que vous programmiez actuellement en C, C++, Java, Perl,
  PHP ou Python… cet article vous sera utile !

#### Ressources en anglais

[Try Ruby!][2]
: Un tutoriel interactif qui vous permet d’essayer Ruby dans votre
  navigateur. Ce tutoriel de 15 minutes est destiné aux débutants qui
  veulent avoir un premier aperçu du langage.

[Ruby Koans][3]
: Les Koans vous emmènent le long du chemin de l’illumination pour vous
  apprendre Ruby. Le but est de vous apprendre le langage Ruby, sa
  syntaxe, sa structure et ses fonctions et bibliothèques courantes. Il
  vous enseignera aussi quelques points « culturels » (bonnes pratiques,
  état d’esprit du programmeur Ruby…)

[Why’s (Poignant) Guide to Ruby][4]
: Ce livre, à la frontière entre tutoriel, roman et œuvre d’art, vous
  propose une manière non conventionnelle mais intéressante d’apprendre
  Ruby au travers d’histoires, de mots d’esprit et de dessins.
  Initialement créé par why the lucky stiff, ce guide est devenu un
  classique.

[*Learn to Program*][5]
: Un magnifique petit tutorial destiné aux débutants, par Chris Pine. Si
  vous n’avez aucunes notions de programmation, commencez par là. Une
  traduction française est [disponible en PDF][6]

[Hackety Hack][7]
: <q cite="http://hackety-hack.com/">The little coder’s starter kit</q>.
  Il s’agit d’un logiciel à vocation éducative, qui vous apprendra à
  programmer en utilisant Ruby et le toolkit Shoes pour réaliser des
  interfaces graphiques.

[*Learning Ruby*][8]
: Un ensemble cohérent de notes introductives sur la structure et la
  logique qui prévalent en Ruby. Tout à fait indiqué pour se
  familiariser avec le langage Ruby, ses us et coutumes, ses astuces.

[*Ruby Essentials*][9]
: Un *ebook* gratuit qui se veut synthétique et facile d’accès.

[*Ruby &amp; Ruby on Rails programming tutorials*][10]
: Site web proposant une quantité certaines de tutoriaux tant sur Ruby
  que sur Rails.

### Manuels

[*Programming Ruby*][11]
: Le manuel fondateur sur Ruby en langue anglaise : il s’agit ici de la
  première version du [livre le plus populaire sur Ruby][12], par les
  *Pragmatic Programmers*.

[*Ruby User’s Guide*][13]
: Traduit depuis le texte original japonais de Yukihiro Matsumoto (le
  créateur de Ruby), cette version de Goto Kentaro et Mark Slagell
  présente l’essentiel des différents aspects du langage Ruby.

[*The Ruby Programming Wikibook*][14]
: Un manuel gratuit destiné aux débutants et aux programmeurs de niveaux
  intermédiaire. Propose également une référence du langage.

### Documentation de référence

[*Ruby Core Reference*][15]
: Extraite directement des sources grâce à [RDoc][16], cette référence
  décrit toutes les classes et modules de bases (comme `String`,
  `Array`, `Symbol`, etc.

[*Ruby Standard Library Reference*][17]
: Également extraite du code source par RDoc, cette seconde référence
  documente la bibliothèque standard.

[*Ruby C API Reference*][18]
: La documentation de l’implémentation C de ruby. Très utile si vous
  comptez écrire des extensions C ou contribuer au développement de
  Ruby.

[rubydoc.info][19]
: Documentation auto-générée pour un grand nombre de bibliothèques Ruby.

[Rails Searchable API Doc][20]
: Documentation sur les API Ruby et Ruby On Rails, proposant un système
  de recherche poussé.

[RubyDox][21]
: Documentation pour Ruby, Rails, gems et plugin Rails.

### Lectures additionnelles

[Ruby-Doc.org][22] maintient à jour une liste presque exhaustive de la
documentation disponible en anglais. Il existe également de nombreux
ouvrages à propos de Ruby : [une liste de livres en anglais][23]
(relativement exhaustive) et [une liste de livres en français][24]
(incomplète). Par ailleurs, si vous avez des questions à poser sur Ruby,
la [liste de diffusion](/en/community/mailing-lists/) est un bon endroit
à explorer.



[1]: http://www.rubyfrance.org 
[2]: http://tryruby.org/ 
[3]: http://rubykoans.com/ 
[4]: http://mislav.uniqpath.com/poignant-guide/ 
[5]: http://pine.fm/LearnToProgram/ 
[6]: http://www.ruby-doc.org/docs/ApprendreProgrammer/Apprendre_%E0_Programmer.pdf 
[7]: http://hackety-hack.com/ 
[8]: http://rubylearning.com/ 
[9]: http://www.techotopia.com/index.php/Ruby_Essentials 
[10]: http://www.meshplex.org/wiki/Ruby/Ruby_on_Rails_programming_tutorials 
[11]: http://www.ruby-doc.org/docs/ProgrammingRuby/ 
[12]: http://pragmaticprogrammer.com/titles/ruby/index.html 
[13]: http://www.rubyist.net/~slagell/ruby/ 
[14]: http://en.wikibooks.org/wiki/Ruby_programming_language 
[15]: http://www.ruby-doc.org/core 
[16]: http://rdoc.sourceforge.net 
[17]: http://www.ruby-doc.org/stdlib 
[18]: http://www.ruby-doc.org/doxygen/current/ 
[19]: http://rubydoc.info/ 
[20]: http://railsapi.com/ 
[21]: http://www.rubydox.net/ 
[22]: http://ruby-doc.org 
[23]: http://www.ruby-doc.org/bookstore 
[24]: http://rubyfrance.org/liens/livres/ 
