---
layout: page
title: "Témoignages"
lang: fr
---

Ruby est massivement utilisé par des programmeurs professionnels.
D’autres en font usage à titre de hobby. Vous trouverez ici quelques
témoignages du « monde réel. »

#### Simulations

* Le [*NASA Langley Research Center*][1] utilise Ruby pour conduire des
  simulations. [Détails…][2]
^

* Un groupe de recherche de [Motorola][3] utilise Ruby pour écrire un
  simulateur, à la fois pour générer des scénarios et gérer les données
  en post-production.

#### Modélisation 3D

* [Google SketchUp][4] est une application de modélisation 3D qui
  utilise Ruby pour son API de macros.

#### Business

* [Toronto Rehab][5] utilise une application basée sur RubyWebDialogs
  pour gérer et suivre le support téléphonique et sur-site pour le
  bureau IT et les opérations de l’équipe technique.

#### Robotique

* Le projet [MORPHA][6] a utilisé Ruby pour implémenter la partie de
  contrôle réactif du robot de service Siemens.

#### Réseaux

* [Open Domain Server][7] fait usage de Ruby pour mapper en temps réel
  les adresses statiques aux configurations DynDNS de leurs clients.

#### Téléphonie

* Ruby est utilisé sur un projet de [Lucent][8]\: un téléphone 3G sans
  fil.

#### Administration système

* Ruby a été utilisé pour écrire la section principale de collecte de
  données de [Level 3 Communications][9], un système Capacity and
  Planning Unix qui maintient des statistiques de performance pour plus
  de 1700 serveurs Unix (GNU/Linux et Solaris) à travers la planète.

#### Applications web

* [Basecamp][10], un projet de gestion d’application écrit par
  [37signals][11], est entièrement programmé en Ruby.
^

* [43 Things][12] vous permet de gérer et partager des *todo lists* en
  ligne, le tout étant écrit en Ruby.
^

* [A List Apart][13], un magazine en ligne destiné aux développeurs web
  depuis 1997, a réalisé une refonte totale en utilisant Ruby on Rails.
^

* [Blue Sequence][14] est un des composants du système d’applications
  critiques *sequence-in-time* du constructeur automobile Toyota. Il a
  été sélectionné parmi les finalistes des *British Computer Information
  Awards*.



[1]: http://www.larc.nasa.gov/ 
[2]: http://www-106.ibm.com/developerworks/linux/library/l-oslab/ 
[3]: http://www.motorola.com 
[4]: http://www.sketchup.com/ 
[5]: http://www.torontorehab.on.ca/ 
[6]: http://www.morpha.de/php_e/ 
[7]: http://ods.org/ 
[8]: http://www.lucent.com/ 
[9]: http://www.level3.com/ 
[10]: http://www.basecamphq.com 
[11]: http://www.37signals.com 
[12]: http://www.43things.com 
[13]: http://www.alistapart.com 
[14]: http://www.bluefountain.com/casestudies/bfs-deliver-a-2nd-sequence-production-system-for-toyota/ 
