---
layout: page
title: "Dokumentasi"
lang: id
---

Berikut adalah daftar doukumentasi yang akan berguna ketika Anda sedang
memprogram Ruby:

### Langkah Pertama

[Try Ruby!][1]
: Pelajaran online dengan berinteraksi dengan fasilitas web-based untuk
  pemula oleh [Why the Lucky Stiff][2]. Tidak perlu instalasi, hanya
  tinggal ketik Ruby code langsung di web browser!

[Learn to Program][3]
: Chris Pine menulis tutorial pendek yang sangat bagus khusus untuk
  pemula yang baru ke dunia programming. Bahkan jika Anda tahu
  programming, tutorial ini akan dengan cepat mengenalkan Anda dengan
  Ruby.

[Menguasai Ruby dalam 20 Menit](/id/documentation/quickstart/)
: Menguasai Ruby dalam 20 Menit adalah tutorial yang mencakup hal-hal
  dasar di Ruby. Seperti namanya, tutorial ini bisa diselesaikan dalam
  20 menit dari permulaan sampai akhir.

[Dari Bahasa Pemrograman Lain ke Ruby](/id/documentation/ruby-from-other-languages/)
: Anda bermigrasi ke Ruby dari bahasa lain? Entah itu C, C++, Java,
  Perl, PHP atau Python, artikel ini membahas itu semua!

[Learning Ruby][4]
: Koleksi mendetil catatan-catatan belajar Ruby untuk Anda yang baru di
  bahasa Ruby dan sedang dalam masa pencarian konstruksi dan pengenalan
  konsep Ruby.

[Ruby Essentials][5]
: Ruby Essentials adalah buku online gratis yang dirancang mudah diikuti
  sebagai pembimbing belajar Ruby.

[The Ruby Garden Ruby FAQ][6]
: Daftar FAQ tentang Ruby. [Anda bahkan juga bisa mengajukan pertanyaan
  baru untuk ditambahkan ke FAQ Ruby][7].

[Things Any Newcomer Should Know][8]
: Ini dari [Ruby Garden Wiki][9] menjelaskan beberapa hal “pendatang
  baru seharusnya mengetahui tentang Ruby.”

[Ruby &amp; Ruby on Rails programming tutorials][10]
: Situs yang bertujuan untuk menyediakan tutorial tentang Ruby dan Rails
  yang dikelola dengan baik.

### Manual

[Programming Ruby][11]
: Buku edisi pertama [Pragmatic Programmers’ book][12] tersedia gratis
  online. Buku ini dikenal juga dengan sebut Pickaxe (karena ada gambar
  kapak di Cover bukunya).

[Why’s (Poignant) Guide to Ruby][13]
: A work in progress by [Why the Lucky Stiff][2], filled with talking
  foxes and chunky bacon, this little book is well on it’s way to
  becoming a Ruby classic.

[Ruby User’s Guide][14]
: Diterjemahkan dari versi Jepang asli ditulis oleh Yukihiro Matsumoto
  (pencipta Ruby), versi ini merupakan overview yang bagus melihat
  bahasa ruby dari berbagai aspek oleh Goto Kentaro dan Mark Slagell.

[The Ruby Programming Wikibook][15]
: Manual online gratis dengan isi referensi ruby tingkat pemula dan
  menengah.

### Referensi

[Ruby Core Reference][16]
: Diambil langsung dari source code menggunakan [RDoc][17], referensi
  ini mendokumentasikan seluruh core class dan module (seperti String,
  Array, Symbol, dan seterusnya…).

[Ruby Standard Library Reference][18]
: Juga diambil langsung dari source code menggunakan RDoc, referensi ini
  mendokumentasikan library standar Ruby.

[Ruby C API Reference][19]
: Documentation for Ruby’s underlying C code. Sangat bagus bila Anda
  ingin menulis extension C atau berkontribusi pada pengembangan Ruby.

### Bacaan selanjutnya

[Ruby-Doc.org][20] me-maintain daftar komprehensif dokumentasi Bahasa
Inggris. Ada juga banyak [buku tentang Ruby][21]. Di [Ruby Garden
Wiki][9] pengguna Ruby juga bisa berkontribusi. Jika Anda punya
pertanyaan-pertanyaan tentang Ruby Anda bisa menemukan [milis
Ruby](/id/community/mailing-lists/) sebagai tempat yang baik untuk
memulai.



[1]: http://tryruby.hobix.com/ 
[2]: http://whytheluckystiff.net 
[3]: http://pine.fm/LearnToProgram/ 
[4]: http://rubylearning.com/ 
[5]: http://www.techotopia.com/index.php/Ruby_Essentials 
[6]: http://www.rubygarden.org/faq/ 
[7]: http://faq.rubygarden.org/question/ask?controller_prefix=faq%2F 
[8]: http://www.rubygarden.org/ruby?ThingsNewcomersShouldKnow 
[9]: http://wiki.rubygarden.org/Ruby 
[10]: http://www.meshplex.org/wiki/Ruby/Ruby_on_Rails_programming_tutorials 
[11]: http://www.ruby-doc.org/docs/ProgrammingRuby/ 
[12]: http://pragmaticprogrammer.com/titles/ruby/index.html 
[13]: http://qa.poignantguide.net/ 
[14]: http://www.rubyist.net/~slagell/ruby/ 
[15]: http://en.wikibooks.org/wiki/Ruby_programming_language 
[16]: http://www.ruby-doc.org/core 
[17]: http://rdoc.sourceforge.net 
[18]: http://www.ruby-doc.org/stdlib 
[19]: http://www.ruby-doc.org/doxygen/current/ 
[20]: http://ruby-doc.org 
[21]: http://www.ruby-doc.org/bookstore 
