---
layout: page
title: "Kisah Sukses"
lang: id
---

Banyak yang telah menggunakan Ruby dalam pekerjaan sehari-hari. Ada juga
yang menggunakannya sebagai hobi. Di sini Anda akan menemukan sebagian
kecil contoh dari berbagai penggunaan Ruby di dunia nyata.

#### Aplikasi Web

* [Basecamp][1], aplikasi manajemen proyek berbasis web yang
  dikembangkan oleh [37signals][2], menggunakan Ruby on Rails. 37signals
  merupakan pembuat framework Rails yang menggunakan bahasa Ruby.
^

* [43 Things][3] menyimpan daftar tujuan hidup Anda dan membaginya
  dengan teman-teman Anda. Ditulis menggunakan Ruby on Rails.
^

* [A List Apart][4], majalah digital bagi para webmaster yang telah
  berdiri sejak tahun 1997, telah direnovasi dan menggunakan aplikasi
  khusus yang dikembangkan menggunakan Ruby on Rails.
^

* [Twitter][5], situs komunitas yang sangat ramai menggunakan Ruby on
  Rails sebagai *framework*.
^

* [BookJetty][6] merupakan situs bagi pecinta buku, dikembangkan oleh
  [Herryanto Siatono][7] ([Pluit Solutions][8]).
^

* [Ruby on Rails Applications][9] berisi sebagian kecil daftar aplikasi
  yang dikembangkan menggunakan Ruby on Rails.
^

* [Rails 100][10] berisi daftar 100 aplikasi Rails terpopuler
  berdasarkan statistik dari Alexa.
^

* [Real World Usage di Rails Wiki][11] berisi daftar aplikasi berbasis
  Ruby on Rails.
^

* [Blue Sequence][12], aplikasi canggih yang merupakan bagian dari
  proses produksi *sequence-in-time* di Toyota Motor Manufacturing,
  telah dipilih sebagaif finalis di British Computer (BCS) Information
  Management Awards.

#### Simulasi

* [NASA Langley Research Center][13] menggunakan Ruby untuk melakukan
  simulasi.
^

* Kelompok riset di [Motorola][14] menggunakan Ruby untuk melakukan
  simulasi, baik untuk meng-*generate* skenario maupun memproses data
  hasilnya.

#### Bisnis

* [Toronto Rehab][15] menggunakan aplikasi berbasis RubyWebDialogs dalam
  manajemen dukungan *on-call* dan *on-site* untuk *help desk* Teknologi
  Informasi dan tim operasi Teknologi Informasi.

#### Robotika

* Proyek [MORPHA][16] menggunakan Ruby untuk mengimplementasikan bagian
  pengendali reaktif dari robot Siemens yang digunakan.

#### Jaringan Komputer

* [Open Domain Server][17] menggunakan Ruby untuk memungkinkan pengguna
  Dynamic DNS meng-*update* konfigurasi IP mereka secara *real time*
  agar dapat dipetakan ke domain statis.

#### Telekomunikasi

* Ruby digunakan oleh [Lucent][18] pada produk wireless 3G yang mereka
  kembangkan.

#### Administrasi Sistem

* Ruby digunakan untuk mengembangkan koleksi data sentral di [Level 3
  Communications][19] pada sistem *Unix Capacity and Planning* yang
  memproses statistik di lebih dari 1700 server Unix (Solaris dan Linux)
  yang tersebar di seluruh dunia.



[1]: http://www.basecamphq.com 
[2]: http://www.37signals.com 
[3]: http://www.43things.com 
[4]: http://www.alistapart.com 
[5]: http://www.twitter.com 
[6]: http://www.bookjetty.com/ 
[7]: http://www.workingwithrails.com/person/5050-herryanto-siatono 
[8]: http://www.pluitsolutions.com/ 
[9]: http://www.rubyonrails.org/applications 
[10]: http://rails100.pbwiki.com/ 
[11]: http://wiki.rubyonrails.com/rails/pages/RealWorldUsage 
[12]: http://www.bluefountain.com/casestudies/bfs-deliver-a-2nd-sequence-production-system-for-toyota/ 
[13]: http://www.larc.nasa.gov/ 
[14]: http://www.motorola.com 
[15]: http://www.torontorehab.on.ca/ 
[16]: http://www.morpha.de/php_e/ 
[17]: http://ods.org/ 
[18]: http://www.lucent.com/ 
[19]: http://www.level3.com/ 
