---
layout: page
title: "Documentazione"
lang: it
---

Ecco qualche riferimento a manuali, tutorial, e altro materiale che ti
potrà venire bene quando vorrai iniziare a programmare in Ruby.

### Per iniziare

[Try Ruby!][1]
: Un tutorial interattivo che ti dà la possibilità di provare Ruby
  direttamente nel tuo browser. Questo tutorial di 15 minuti è orientato
  a principianti che vogliono dare un’occhiata al linguaggio.

[Ruby Koans][2]
: I Koan ti accompagneranno lungo il sentiero illuminato
  dell’apprendimento di Ruby. Lo scopo è imparare il linguaggio Ruby, la
  sua sintassi, struttura, e qualche funzionalità e libreria comune. E
  anche un po’ di cultura.

[Hackety Hack][3]
: <q cite="http://hacketyhack.heroku.com/">Lo starter kit del piccolo
  programmatore</q>. Un modo facile e divertente per imparare a
  programmare (attraverso Ruby) usando il toolkit GUI *Shoes*.

[Why’s (Poignant) Guide to Ruby][4]
: Un libro poco convenzionale ma interessante che ti insegna ad usare
  Ruby attraverso storie, battute argute e fumetti. Originariamente
  creato da *why the lucky stiff*, questa guida rimane un classico per
  chiunque voglia imparare Ruby.

[Learn to Program][5]
: Un meraviglioso mini-tutorial scritto da Chris Pine per novizi nel
  mondo della programmazione. Se non sai come programmare, inizia qui.
  \[in inglese\]

[Ruby in Venti Minuti](/it/documentation/quickstart/)
: Un tutorial che copre le nozioni di base di Ruby. Non dovresti
  impiegare più di venti minuti per completarlo dall’inizio alla fine.

[Ruby per chi conosce altri linguaggi](/it/documentation/ruby-from-other-languages/)
: Vuoi imparare ruby e conosci già un’altro linguaggio di
  programmazione? Sia che sia C, C++, Java, Perl PHP o Python, questo
  articolo è quello che fa per te.

[Learning Ruby][6]
: Una raccolta di appunti riguardanti Ruby per coloro che non conoscono
  il linguaggio e sono alla ricerca di una solida introduzione ai
  concetti e ai costrutti di Ruby. \[in inglese\]

[Ruby Essentials][7]
: Ruby Essentials è un libro gratuito online, pensato per essere una
  concisa guida facile da seguire per imparare Ruby. \[in inglese\]

[Ruby &amp; Ruby on Rails programming tutorials][8]
: Un sito il cui scopo è fornire tutorial ben organizzati e di buona
  qualità riguardanti sia Ruby che Ruby on Rails

### Manuali

[Programming Ruby][9]
: Una pietra miliare tra i libri disponibili su Ruby in inglese. La
  prima edizione del [Pragmatic Programmers’ book][10] è disponibile
  online gratuitamente.

[Ruby User’s Guide][11]
: Tradotto in inglese dalla versione originale Giapponese scritta da
  Yukihiro Matsumoto (il creatore di Ruby)ranslated from the original
  Japanese version written by Yukihiro Matsumoto (the creator of Ruby).
  Questa traduzione, curata da Goto Kentaro e Mark Slagell, è
  un’eccellente punto di partenza per imparare molti aspetti importanti
  del linguaggio Ruby.

[The Ruby Programming Wikibook][12]
: Un manuale online gratuito per persone con conoscenze di livello base
  o intermedio, contenente anche delle parti di riferimento complete.

### Ducumenentazione di riferimento

[Ruby Core Reference][13]
: Preso direttamente dal codice sorgente usando [RDoc][14], questa
  documentazione descrive tutte le classi e i moduli interni (come
  String, Array, Symbol, ecc…).

[Ruby Standard Library Reference][15]
: Anche questo generato automaticamente dal codice utilizzando RDoc,
  questa documentazione descrive la libreria standard di Ruby.

[Ruby C API Reference][16]
: Documentazione per il codice C che costituisce Ruby. Utilissima per
  scrivere estensioni in C o contribuire allo sviluppo di Ruby.

 [RubyDoc.info][17]
 : Il solo sito che ti server per documentazione di riferimento su gemme
  e progetti Ruby in GitHub.
 [API Doc ricercabile per Rails e Ruby][18]
 : Documentazione ricercabile per Rails and Ruby.
 [RubyDox][19]
 : Documentazione su Ruby, Rails, Gem e Plugins.
 ### Ulteriori Informazioni

[Ruby-Doc.org][20] mantiene un’esauriente lista di documenti in inglese.
Ci sono anche molti [libri su Ruby][21]. Se hai domande su Ruby la lista
delle [mailing list](/it/community/mailing-lists/) è perfetta per
iniziare.



[1]: http://tryruby.org/ 
[2]: http://rubykoans.com/ 
[3]: http://hackety-hack.com/ 
[4]: http://mislav.uniqpath.com/poignant-guide/ 
[5]: http://pine.fm/LearnToProgram/ 
[6]: http://rubylearning.com/ 
[7]: http://www.techotopia.com/index.php/Ruby_Essentials 
[8]: http://www.meshplex.org/wiki/Ruby/Ruby_on_Rails_programming_tutorials 
[9]: http://www.ruby-doc.org/docs/ProgrammingRuby/ 
[10]: http://pragmaticprogrammer.com/titles/ruby/index.html 
[11]: http://www.rubyist.net/~slagell/ruby/ 
[12]: http://en.wikibooks.org/wiki/Ruby_programming_language 
[13]: http://www.ruby-doc.org/core 
[14]: http://rdoc.sourceforge.net 
[15]: http://www.ruby-doc.org/stdlib 
[16]: http://www.ruby-doc.org/doxygen/current/ 
[17]: http://www.rubydoc.info/ 
[18]: http://railsapi.com/ 
[19]: http://www.rubydox.net/ 
[20]: http://ruby-doc.org 
[21]: http://www.ruby-doc.org/bookstore 
