---
layout: page
title: "ダウンロード"
lang: ja
---

ここでは、Rubyインタプリタの代表的な入手方法を説明します。

## 

Rubyの各バージョンのソースコードは、以下から入手できます。

* 最新の安定版であるruby
  1.9.2-p290\[[tar.bz2][1]\|[tar.gz][2]\|[zip][3]\]が各ミラーサイトから入手できます。
* 前世代の安定版であるruby
  1.8.7-p352\[[tar.bz2][4]\|[tar.gz][5]\|[zip][6]\]も各ミラーサイトから入手できます。
* 現時点での[最新版スナップショット][7](2011/08/09
  04:06:37)をtar.gzで固めています。これはSubversionレポジトリのtrunkの先端(HEAD)から自動的にスナップショットを取ったものです。スナップショットの取得はある時刻に問答無用で行っているので、何らかの問題が残っている可能性があります。自己責任でどうぞ。
* 現時点での[安定版スナップショット][8](2011/08/09
  04:07:03)をtar.gzで固めています。これはSubversionレポジトリのruby
  1.8系のブランチ(ruby\_1\_8ブランチ)の先端から自動的にスナップショットを取ったものです。
* 最新のソースをAnonymous
  SVNで入手する方法については、[レポジトリガイド](/ja/documentation/repository-guide)を参照ください。

## 

各種の環境向けのバイナリが有志により配布されています。

* Windows版Rubyバイナリ
  * どれをダウンロードすればいいのかは[Microsoft Windows版のビルド環境による違い][9]を参考にしてください。
  * [ActiveScriptRuby][10]
    安定版に幾つか便利なライブラリを加え、さらにRubyをCOMサーバとしても利用可能にしたもの。ベースはmswin32版
  * [One-Click Ruby Installer for Windows][11] (英語)
    安定版に多数の便利なライブラリを加えたもの。ベースはmingw32版
  * [Ruby-mswin32][12] mswin32版の安定版・開発版を随時提供
  * [cygwin,djgpp,mingw,mswin32][13]

## 

Rubyのソースコードや、それを含めた当サイトの内容が、有志によりミラーされています。

### 

* [日本 1][14]及び[ミラー][15] (RingServer)
* [日本 2][16] (IIJ)
* [日本 3][17] (idaemons.org)
* [日本 4][18] (マスターサイト) - 低速
* [韓国][19] (Korea FreeBSD Users Group)
* [ドイツ][20] (FU Berlin)
* [イギリス][21] (The Mirror Service)
* [ベルギー][22] (Easynet)
* [ロシア][23] (ChgNet)
* [ギリシャ][24] (アテネ工科大)
* [デンマーク][25] (sunsite.dk)
* [アメリカ 1][26] (ibiblio.org)
* [アメリカ 2][27] (lcs.mit.edu)
* [オーストリア][28] (tuwien.ac.at)
* [台湾 1][29] (cdpa.nsysu.edu.tw)
* [台湾 2][30] (ftp.cs.pu.edu.tw)
* [カナダ][31] (mirror.cs.mun.ca)

### 

* [イギリス][32] (The Mirror Service)
* [日本][33]及び[ミラー][15] (RingServer)
* [ドイツ][34] (AmbiWeb GmbH)
* [ベルギー][35] (Easynet)
* [デンマーク][36] (sunsite.dk)
* [オランダ][37] (XS4ALL) - リリース版のみ
* [アメリカ 1][38] (ibiblio.org)
* [アメリカ 2][39] (lcs.mit.edu)
* [アメリカ 3][40] (binarycode.org)
* [アメリカ 4][41] (online-mirror.org)
* [アメリカ 5][42] (trexle.com)
* [オーストリア][43] (tuwien.ac.at)
* [台湾 1][44] (cdpa.nsysu.edu.tw)
* [台湾 2][45] (ftp.cs.pu.edu.tw)

### 

* rsync://rsync.mirrorservice.org/ftp.ruby-lang.org/pub/ruby/ (イギリス)
* rsync://sunsite.dk/ftp/mirrors/ruby/ (デンマーク)
* rsync://rsync.idaemons.org/ftp/mirror/ftp.ruby-lang.org/ruby/ (日本)
* rsync://gd.tuwien.ac.at/languages/ruby/ (オーストリア)
* rsync://mirror.cs.mun.ca/ruby/ (カナダ)
* rsync://ftp.cs.pu.edu.tw/Ruby/ (台湾)

Posted by Shugo Maeda on 26 May 2006
{: .post-info}



[1]: ftp://ftp.ruby-lang.org/pub/ruby/1.9/ruby-1.9.2-p290.tar.bz2 
[2]: ftp://ftp.ruby-lang.org/pub/ruby/1.9/ruby-1.9.2-p290.tar.gz 
[3]: ftp://ftp.ruby-lang.org/pub/ruby/1.9/ruby-1.9.2-p290.zip 
[4]: ftp://ftp.ruby-lang.org/pub/ruby/1.8/ruby-1.8.7-p352.tar.bz2 
[5]: ftp://ftp.ruby-lang.org/pub/ruby/1.8/ruby-1.8.7-p352.tar.gz 
[6]: ftp://ftp.ruby-lang.org/pub/ruby/1.8/ruby-1.8.7-p352.zip 
[7]: ftp://ftp.ruby-lang.org/pub/ruby/snapshot.tar.gz 
[8]: ftp://ftp.ruby-lang.org/pub/ruby/stable-snapshot.tar.gz 
[9]: http://www.ruby-lang.org/ja/install.cgi?cmd=view;name=Microsoft+Windows%C8%C7%A4%CE%A5%D3%A5%EB%A5%C8%B4%C4%B6%AD%A4%CB%A4%E8%A4%EB%B0%E3%A4%A4 
[10]: http://www.artonx.org/data/asr/ 
[11]: http://rubyinstaller.org/ 
[12]: http://www.garbagecollect.jp/ruby/mswin32/ 
[13]: ftp://ftp.ruby-lang.org/pub/ruby/binaries/ 
[14]: ftp://core.ring.gr.jp/pub/lang/ruby/ 
[15]: http://www.t.ring.gr.jp/ 
[16]: ftp://ftp.iij.ad.jp/pub/lang/ruby/ 
[17]: ftp://ftp.idaemons.org/pub/mirror/ftp.ruby-lang.org/ruby/ 
[18]: ftp://ftp.ruby-lang.org/pub/ruby/ 
[19]: ftp://ftp.kr.freebsd.org/pub/ruby/ 
[20]: ftp://ftp.fu-berlin.de/unix/languages/ruby/ 
[21]: ftp://ftp.mirrorservice.org/sites/ftp.ruby-lang.org/pub/ruby/ 
[22]: ftp://ftp.easynet.be/ruby/ruby/ 
[23]: ftp://ftp.chg.ru/pub/lang/ruby/ 
[24]: ftp://ftp.ntua.gr/pub/lang/ruby/ 
[25]: ftp://sunsite.dk/mirrors/ruby/ 
[26]: ftp://www.ibiblio.org/pub/languages/ruby/ 
[27]: ftp://xyz.lcs.mit.edu/pub/ruby/ 
[28]: ftp://gd.tuwien.ac.at/languages/ruby/ 
[29]: ftp://ruby.cdpa.nsysu.edu.tw/ruby/ 
[30]: ftp://ftp.cs.pu.edu.tw/Unix/lang/Ruby/ 
[31]: ftp://mirror.cs.mun.ca/pub/mirror/ruby/ 
[32]: http://www.mirrorservice.org/sites/ftp.ruby-lang.org/pub/ruby/ 
[33]: http://core.ring.gr.jp/archives/lang/ruby/ 
[34]: http://dl.ambiweb.de/mirrors/ftp.ruby-lang.org/ 
[35]: http://ruby.mirror.easynet.be/ 
[36]: http://mirrors.sunsite.dk/ruby/ 
[37]: http://www.xs4all.nl/~hipster/lib/mirror/ruby/ 
[38]: http://www.ibiblio.org/pub/languages/ruby/ 
[39]: http://xyz.lcs.mit.edu/ruby/ 
[40]: http://www.binarycode.org/ruby/ 
[41]: http://www.online-mirror.org/ruby/ 
[42]: http://ruby.trexle.com/ 
[43]: http://gd.tuwien.ac.at/languages/ruby/ 
[44]: http://pluto.cdpa.nsysu.edu.tw/ruby/ 
[45]: http://ftp.cs.pu.edu.tw/Unix/lang/Ruby/ 
