---
layout: page
title: "문서"
lang: ko
---

루비를 배울 수 이는 매뉴얼과 튜토리얼, 그리고 코딩할 때 도움이 되는 참조 문서를 정리합니다.

아직은 한국어 문서가 많지 않습니다. 다른 언어로 된 문서를 번역해주시면 큰 도움이 됩니다. 여기 언급되지 않은 좋은 문서도
알려주시기 바랍니다.

루비에 대한 [책](books)도 출판되어 있습니다. [여기](books)에서 확인하세요.

### 초보자용 문서

[Try Ruby!][1]
: 초보자를 위한 웹 기반의 대화형 튜토리얼 입니다. 루비를 설치할 필요도 없이 웹 브라우저만 가지고 루비를 배울 수 있습니다!

[루비 20분 가이드](/ko/documentation/quickstart/)
: 루비의 기초를 다루는 튜토리얼입니다. 처음부터 끝까지 읽는데 20분도 걸리지 않습니다. 지금 시작하세요.

[Ruby For Impatient Nuby][2]
: [서민구님][3]님이 작성하신 루비 초보자를 위한 튜토리얼

루비 FAQ
: [대산님][4]이 정리하신 자주 묻는 질문과 답변
### 매뉴얼

[Redmine Wiki][5]
: 루비를 지원하는 플랫폼, 개발에 필요한 내용 등 기본적인 사항이 정리되어있습니다.

[프로그래밍 루비][6] (영문)
: [Pragmatic Programmers의 책][7] 1판이 무료로 온라인상에 공개되어 있습니다. 1.6 버전을 기준으로
  하기는 했지만, 루비를 배우는 데는 큰 지장이 없습니다.

[Why’s (Poignant) Guide to Ruby][8]
: [Why the Lucky Stiff][9]가 쓰고 있는 재미있는 루비 매뉴얼입니다.

[Ruby User’s Guide][10]
: Yukihiro Matsumoto (루비 제작자)의 글을 영문으로 번역한 것입니다. 루비의 여러 부분에 대한 설명이
  뛰어납니다.

### 참조 문서

[루비 코어][11]
: [RDoc][12]을 이용해 소스에서 추출한 참조 문서입니다. 모든 코어 클래스와 모듈에 대한 문서를 찾아볼 수 있습니다.
  스트링, 해쉬, 심볼 등이 여기에 해당합니다.

[루비 표준 라이브러리][13]
: 역시 RDoc을 이용해 소스에서 추출한 것으로 루비의 방대한 표준 라이브러리에 대한 참조 문서입니다.

[루비 C API][14]
: 루비의 바탕이 되는 C 코드를 설명합니다. C 확장기능을 작성하거나 루비 인터프리터 개발에 참여하고 싶다면 읽기를 추천합니다.
### 기타

[RubyGem 패키지 빌드][15]
: RubyGem 패키지 빌드에 관한 기초적인 문서입니다.

### 정보를 얻는 곳

[Ruby-Doc.org][16]은 루비에 관한 문서를 관리하는 사이트 입니다. 주로 영문이기는 하지만 잘 정리된 참조 매뉴얼은
도움이 됩니다. [루비 가든 위키][17]에는 오랜 기간에 걸쳐 루비스트가 정리한 내용이 있습니다.

루비에 대해 질문이 있다면 [루비 포럼][18]에 올리면 답을 구할 수 있습니다.



[1]: http://tryruby.org/ 
[2]: http://docs.google.com/View?docid=ajb44wcvmjj8_2fg33f2 
[3]: http://mkseo.pe.kr/ 
[4]: http://beyond.daesan.com/pages/ruby-faq 
[5]: http://redmine.ruby-lang.org/projects/ruby/wiki 
[6]: http://www.ruby-doc.org/docs/ProgrammingRuby/ 
[7]: http://pragmaticprogrammer.com/titles/ruby/index.html 
[8]: http://qa.poignantguide.net/ 
[9]: http://whytheluckystiff.net 
[10]: http://www.rubyist.net/~slagell/ruby/ 
[11]: http://www.ruby-doc.org/core 
[12]: http://rdoc.sourceforge.net 
[13]: http://www.ruby-doc.org/stdlib 
[14]: http://www.ruby-doc.org/doxygen/current/ 
[15]: http://www.ruby-lang.org/ko/documentation/rubygem-packaging 
[16]: http://ruby-doc.org 
[17]: http://wiki.rubygarden.org/Ruby 
[18]: http://forum.rubykr.org 
