---
layout: page
title: "Dokumentacja"
lang: pl
---

Znajdziesz tutaj odnośniki do podręczników, tutoriali i materiałów
źródłowych, które okażą się pomocne kiedy będziesz chciał pisać w Ruby.

### Na początek

[Wypróbuj Ruby!][1]
: Interaktywny internetowy tutorial dla początkujących napisany przez
  “Why the Lucky Stiff”. Nie musisz instalować Rubiego, a ten tutorial
  pozwoli ci na pisanie kodu Rubiego bezpośrednio w twojej przeglądarce
  internetowej!

[Nauka programowania][2]
: Wspaniały mały tutorial napisany przez Chrisa Pine dla nowicjuszy w
  dziedzinie programowania. Jeśli nie wiesz jak programować, zacznij od
  niego.

[Ruby w 20 minut](/pl/dokumentacja/ruby-w-20-minut/)
: Przyjemny tutorial obejmujący podstawy programowania w Rubim. Od
  początku do końca, zajmuje jakieś dwadzieścia minut.

[Ruby Intro][3]
: Polski materiał prezentacyjny przeznaczony dla osób, które znają już
  podstawy programowania i mają pojęcie o programowaniu zorientowanym
  obiektowo.

[Ruby a inne języki programowania](/pl/dokumentacja/ruby-a-inne-jezyki-programowania/)
: Przestawiasz się z innego języka programowania do Rubiego? Niezależnie
  od tego czy jest to C, C++, Java, Perl, PHP lub Python, ten artykuł z
  pewnością Ci pomoże!

[Tutorial Ruby][4]
: Ciekawy i króótki kurs dla kogoś, kto chce zacząć przygodę z Ruby.
  Niestety autor nie ukończył go i dlatego jest to tylko podstawowe
  wprowadzenie do języka.
### Manuale

[Programming Ruby][5]
: Pionierska książka o Rubim w języku angielskim, jej pierwsze wydanie
  [Pragmatic Programmers’ book][6] jest do ściągnięcia za darmo. Drugie
  wydanie książki zostało [wydane w jęz. polskim][7].

[Why’s (Poignant) Guide to Ruby][8]
: Pełen gadających lisów i tłustego boczku, ma dużą szansę stać się
  klasyką publikacji o Rubim.

[Ruby User’s Guide][9]
: Przewodnik użytkownika języka Ruby, przetłumaczony z oryginalnej,
  japońskiej wersji, napisanej przez Yukihiro Matsumoto (twórcę
  Rubiego). Napisany przez Goto Kentaro i Marka Slagella oferuje
  przegląd wielu aspektów języka Ruby.

### Dokumentacja Referencyjna

[Ruby Core Reference][10]
: Dokumentacja wygenerowana przy pomocy [RDoc][11] prosto z kodu
  źródłowego, opisuje wszystkie klasy i moduły języka (String, Array,
  Symbol, itd).

[Ruby Standard Library Reference][12]
: Wygenerowana dokumentacja zawierająca opis biblioteki standardowej.

[Ruby C API Reference][13]
: Dokumentacja dotycząca implementacji języka Ruby w języku C.
  Przydatna, gdy chcesz pisać rozszerzenia do języka Ruby w C, lub sam
  pomagać w rozwoju języka

### Inne źródła

[Ruby-Doc.org][14] zawiera kompletną listę dokumentacji języka Ruby w
języku angielskim. Jeśli nadal masz jakieś pytania, możesz je zadać na
[liście dyskusyjnej](/en/community/mailing-lists/) (w języku
angielskim).

Jeśli szukasz pomocy w języku Polskim, od pewnego czasu dostępna jest
lista newsowa o języku Ruby: [pl.comp.lang.ruby][15] . Zajrzyj również
na kanał IRC #ruby.pl w sieci FreeNode.



[1]: http://tryruby.org/ 
[2]: http://pine.fm/LearnToProgram/ 
[3]: http://www.apohllo.pl/dydaktyka/ruby/intro/ 
[4]: http://www.stifflog.com/pl/ruby.html 
[5]: http://www.ruby-doc.org/docs/ProgrammingRuby/ 
[6]: http://pragmaticprogrammer.com/titles/ruby/index.html 
[7]: http://helion.pl/ksiazki/prruby.htm 
[8]: http://mislav.uniqpath.com/poignant-guide/book/ 
[9]: http://www.rubyist.net/~slagell/ruby/ 
[10]: http://www.ruby-doc.org/core 
[11]: http://rdoc.sourceforge.net 
[12]: http://www.ruby-doc.org/stdlib 
[13]: http://www.ruby-doc.org/doxygen/current/ 
[14]: http://ruby-doc.org 
[15]: http://groups.google.com/group/pl.comp.lang.ruby?lnk=srg 
