---
layout: page
title: "Udane Wdrożenia"
lang: pl
---

Wielu ludzi używa Rubiego na co dzień w swojej pracy. Inni traktują go
bardziej jako hobby. Poniżej znajdziecie kilka przykładów zastosowania
Rubiego w rzeczywistości.

#### Symulacje

* [Centrum Badań NASA][1] używa Rubiego do przeprowadzania symulacji.
  [Więcej…][2]
^

* Grupa badawcza w [Motoroli][3] używa Rubiego do budowy symulatora,
  zarówno do wygenerowania scenariuszy jak i do przetwarzania danych.

#### Biznes

* [Toronto Rehab][4] używa aplikacji webowej opartej na RubyWebDialogs
  do zarządzania i śledzenia działu wsparcia technicznego i działu
  operacyjnego.

#### Robotyka

* W projekcie [MORPHA][5] , Ruby został użyty do implementacji systemu
  kontroli reakcji Robota usługowego firmy Siemens.

#### Sieci

* [Open Domain Server][6] używa Rubiego aby umożliwić korzystanie z
  dynamicznych klientów DNS do aktualizacji w czasie rzeczywistym ich
  adresów IP w taki sposób, żeby wskazywały na statyczne domeny.

#### Telefonia

* [Lucent][7] używa Rubiego w swoim produkcie telefonii bezprzewodowej
  3G.

#### Administracja Systemami

* Ruby został wykorzystany do implementacji centralnego systemu
  zbierania danych w [Level 3 Communications][8] Unix Capacity and
  Planning, systemu który gromadzi statystyki wydajności z ponad 1700
  serwerów Unix’a (Solarisa i Linuxa) rozmieszczonych na całym globie.

#### Aplikacje Webowe

* [Basecamp][9], aplikacja wspomagająca zarządzanie projektem wydana
  przez [37signals][10], została zaprogramowana w całości w Rubim (Ruby
  on Rails)
^

* [43 Things][11] umożliwia przechowywanie listy celów, które
  chcielibyśmy osiągnąć i dzielenie się nimi ze światem. Aplikacja
  napisana w całości w Rubim.
^

* [A List Apart][12], magazyn dla projektantów stron internetowych,
  istniejący juz od 1997, ostatnio został odświeżony i oparty o
  aplikację napisaną w Ruby on Rails.
^

* [Blue Sequence][13], wyrafinowana aplikacja do misji krytycznych,
  która stanowi część procesu produkcyjnego silników Toyoty (Toyota
  Motor Manufacturing), została niedawno uznana za finalistę w kategorii
  najlepszych brytyjskich informacyjnych systemów zarządzania (British
  Computer (BCS) Information Management Awards).
^

* [Wyszukiwarka mieszkaniowa Hogo.pl][14] – wyszukiwarka kontekstowa
  ogłoszeń mieszkaniowych. Umożliwia przeszukiwanie wszystkich większych
  serwisów z ogłoszeniami nieruchomości z poziomu jednego serwisu.
  Dynamika i rozszerzalność Rubiego umożliwiła stworzenie systemu, który
  w bardzo przejrzysty i szybki sposób można wzbogacać o zaawansowane
  funkcje wyszukiwarki kontekstowej. Interfejs aplikacji napisany w
  całości w Ruby on Rails natomiast część odpowiedzialna za gromadzenie
  i klasyfikację danych napisana w całości w Rubim z wykorzystaniem
  popularnych bibliotek open-source.
^

* [Aplikacja do fakturowania Infakt.pl][15] umożliwia wystawianie faktur
  (drukowanie, wysyłanie), tworzenie bazy klientów, wysyłanie upomnień o
  zaległych płatnościach faktur, jak również podziękowania za ich
  opłacenie. Infakt.pl przede wszystkim oszczędza czas użytkowników
  dzięki zautomatyzowaniu wszystkiego, co w wystawianiu faktur
  powtarzalne. Aplikacja została napisana w Ruby on Rails, ponieważ
  pozwoliło to na wydajniejsze prace programistów, szybsze stworzenie
  pierwszej wersji oraz z powodu wbudowanego systemu testów. Sam Ruby
  używany jest do generowania PDF-ów z fakturami oraz systemu
  backupowania.



[1]: http://www.larc.nasa.gov/ 
[2]: http://www-106.ibm.com/developerworks/linux/library/l-oslab/ 
[3]: http://www.motorola.com 
[4]: http://www.torontorehab.on.ca/ 
[5]: http://www.morpha.de/php_e/ 
[6]: http://ods.org/ 
[7]: http://www.lucent.com/ 
[8]: http://www.level3.com/ 
[9]: http://www.basecamphq.com 
[10]: http://www.37signals.com 
[11]: http://www.43things.com 
[12]: http://www.alistapart.com 
[13]: http://www.bluefountain.com/casestudies/bfs-deliver-a-2nd-sequence-production-system-for-toyota/ 
[14]: http://www.hogo.pl 
[15]: http://www.infakt.pl 
