---
layout: page
title: "Belgeler"
lang: tr
---

Bu bölümde Ruby öğrenmenizi kolaylaştıracak el kitapları, kılavuzlar,
referanslar ve diğer belgeleri bulacaksınız.

### Başlangıç

[Try Ruby!][1]
: Ruby’yi tarayıcınızda deneyebileceğiniz interaktif bir tutorial. Bu 15
  dakikalık çalışma ile bu dile yenibaşlayanların ilk denemelerini
  yapmaları amaçlanmıştır.

[Ruby Koans][2]
: Koans Ruby öğrenmek için bir aydınlanma yolu üzerinden yürümenizi
  sağlar. Amaç Ruby dilini, deyimlerini, yapısını ve birkaç çok
  kullanılan yapılarını öğrenmek ama bununla beraber size kültürünü de
  öğretiyor.

[Hackety Hack][3]
: <q cite="http://hackety-hack.com/">Küçük programcının başlangıç
  kiti</q>. Shoes GUI Toolkit kullanarak Ruby programlamayı öğrenmek
  için eğlenceli ve koly bir yol.

[Why’s (Poignant) Guide to Ruby][4]
: Ruby’nin hikayelerle, nüktelerle ve karikatürlerle anlatıldığı
  sıradışı ama ilginç bir kitap. Orjinali *why the lucky stiff*
  tarafından yazılmıştır, bu klavuz Ruby’ye yeni başlayanlar için bir
  klasiktir.

[Programlama Öğrenin][5]
: Chris Pine tarafından, yeni başlayanlar için yazılmış harika bir
  kılavuz. Eğer programlama bilmiyorsanız, buradan başlayın.

[20 Dakikada Ruby](/tr/documentation/quickstart/)
: Ruby’nin temellerini kapsayan hoş bir kılavuz. Başlayıp bitirmesi
  yirmi dakikadan fazla zamanınızı almayacak.

[Ruby ve Diğer Diller](/tr/documentation/ruby-from-other-languages/)
: Başka bir dilden Ruby’ye mi geçiyorsunuz? C, C++, Java, Perl, PHP, ya
  da Python, farketmez! Bu makale sizi saracak!

[Ruby Öğrenmek][6]
: Dile yeni olanlar ve Ruby’nin kavramlarına ve yapısına sağlam bir
  giriş yapmak isteyenler için Ruby öğrenci notlarından derlenmiş
  mükemmel bir kolleksiyon.

[Ruby SSS][7]
: Ruby deyimlerini öğrenmek ya da tipik programlama tekniklerinin Ruby
  yoluyla nasıl yapıldığını göstermek için toplanmış soru ve cevaplar.

[Tüm Yeni Gelenlerin Bilmesi Gereken Şeyler][8]
: [Ruby Garden Wiki][9] ‘nin “yeni gelenlerin bilmesi gereken şeyler”
  sayfası.

[Ruby &amp; Ruby on Rails programlama kılavuzları][10]
: Hem Ruby hem Rails için zengin içerikli kılavuzlar sunan, iyi organize
  edilmiş bir site.

### El Kitapları

[Ruby Programlama][11]
: [Pratik Programcılar’ın Kitabı][12] ‘nın ilk baskısı. İngilizce Ruby
  kaynakları arasında hatırı sayılır bir yere sahip olan bu kitabı,
  çevrimiçi okuyabilirsiniz.

[Ruby Kullanıcı Kılavuzu][13]
: Ruby diliyle ilgili pek çok alanda hoş görüşler sunan bu belgenin
  orijinali Yukihiro Matsumoto (Ruby’nin yaratıcısı) tarafından yazılmış
  olup, Goto Kentaro ve Mark Slagell tarafından İngilizce’ye, Pınar
  Yanardağ tarafından da Türkçe’ye çevirilmiştir.

[Ruby Programlama Wikikitabı][14]
: Başlangıç ve ileri düzeyde içeriğe sahip olan çevrimiçi, kapsamlı bir
  kılavuz.

### Referans Belgeleri

[Ruby Çekirdek Referansı][15]
: [RDoc][16] ile kaynak kodundan üretilmiş bir belge. Bu belge tüm
  çekirdek sınıfları ve modülleri (String, Array, Symbol gibi) içerir.

[Ruby Standart Kütüphane Referansı][17]
: Yine RDoc ile üretilmiş bu referans belgesi, standart kütüphaneyi
  kapsayacak niteliktedir.

[Ruby C API Referansı][18]
: Ruby’nin temelinde yatan C kodu hakkında bir belgeleme çalışması. Eğer
  C kodları yazmak ve Ruby’nin geliştirilmesine katkıda bulunmak
  isterseniz, bu belge size yardımcı olabilir.

 [RubyDoc.info][19]
 : Ruby gem’leri için dökümanlar ve GitHub Ruby projeleri için tek kaynak
  site.
 [Rails Searchable API Doc][20]
 : Akıllı arama özellikleri olan Rails ve Ruby dökümantasyonu.
 [RubyDox][21]
 : Ruby, Rails, Gem ve Plugin Belgeleri.
 ### Diğer Belgeler

[Ruby-Doc.org][22] Ruby hakkındaki İngilizce belgeleri bir araya
toplamayı amaçlayan bir site. [Ruby hakkında yazılmış kitaplar][23] da
bakılacak diğer kaynaklardan. [Ruby Garden Wiki][9] adresinde
kullanıcıların oluşturduğu geniş bir içerik mevcut. Ayrıca Ruby hakkında
aklınıza takılan herhangi bir soru için [e-posta
listeleri](/en/community/mailing-lists/) iyi bir başlangıç olacaktır.



[1]: http://tryruby.org/ 
[2]: http://rubykoans.com/ 
[3]: http://hackety-hack.com/ 
[4]: http://mislav.uniqpath.com/poignant-guide/ 
[5]: http://pine.fm/LearnToProgram/ 
[6]: http://rubylearning.com/ 
[7]: http://faq.rubygarden.org/ 
[8]: http://www.rubygarden.org/ruby?ThingsNewcomersShouldKnow 
[9]: http://wiki.rubygarden.org/Ruby 
[10]: http://www.meshplex.org/wiki/Ruby/Ruby_on_Rails_programming_tutorials 
[11]: http://www.ruby-doc.org/docs/ProgrammingRuby/ 
[12]: http://pragmaticprogrammer.com/titles/ruby/index.html 
[13]: http://www.belgeler.org/uygulamalar/ruby/ruby-ug.html 
[14]: http://en.wikibooks.org/wiki/Ruby_programming_language 
[15]: http://www.ruby-doc.org/core 
[16]: http://rdoc.sourceforge.net 
[17]: http://www.ruby-doc.org/stdlib 
[18]: http://www.ruby-doc.org/doxygen/current/ 
[19]: http://www.rubydoc.info/ 
[20]: http://railsapi.com/ 
[21]: http://www.rubydox.net/ 
[22]: http://ruby-doc.org 
[23]: http://www.ruby-doc.org/bookstore 
