---
layout: page
title: "文件"
lang: zh_TW
---

這裡是可以派上用場的入門教學、學習手冊和參考文件：

### 入門

[Learn to Program][1]
: 由 Chris Pine 撰寫的程式語言入門。適合完全沒有程式設計經驗的朋友。

[二十分鐘 Ruby 體驗](/zh_TW/documentation/quickstart/)
: 一份不錯的 Ruby 入門體驗，從開始到結束應該不花你二十分鐘。

[從其他語言到 Ruby](/zh_TW/documentation/ruby-from-other-languages/)
: 已經熟悉其他程式語言? 不論是 C, C++, Java, Perl, PHP 或 Python 這裡都有介紹。

[Learning Ruby][2]
: 收集了許多 Ruby 上手經驗談，以及各種 Ruby 介紹。

[Ruby Essentials][3]
: 免費的線上電子書，讓你可以一步步地學習 Ruby。

[Ruby &amp; Ruby on Rails programming tutorials][4]
: 提供豐富內容的 Ruby 和 Rails 教學網站。

### 學習手冊

[Programming Ruby][5]
: 這是 Ruby 的第一本英文書，第一版開放線上免費閱讀 [Pragmatic Programmers’ book][6] 。

[Ruby 使用手冊-中文版][7]
: 原日文版出自 Yukihiro Matsumoto (Ruby 發明人)，英文版為 Goto Kentaro 和 Mark Slagell
  翻譯，繁體中文版則由 [Ruby Taiwan][8] 翻譯。這是一個不錯的 Ruby 導覽。

[The Ruby Programming Wikibook][9]
: 給初學者到中階程度的線上手冊以及語言參考。

### 參考文件

[Ruby Core Reference][10]
: 這是原始碼中的 [RDoc][11] 文件，包括所有的核心類別和模組(例如 String, Array, Symbol, 等...).

[Ruby Standard Library Reference][12]
: Ruby 的標準函式庫文件，也是原始碼中的 RDoc 文件。

[Ruby C API Reference][13]
: Ruby 底層的 C 語言文件。適合給需要撰寫 C extensions 或參與 Ruby 核心開發的朋友。

[YARD Live Documentation Server][14]
: 常用的 Ruby 函式庫文件。

[rdoc.info][15]
: 一些 Ruby 開放原始碼專案的文件。

[Rails Searchable API Doc][16]
: 提供 Ruby 和 Rails 文件搜尋。

[RubyDox][17]
: Ruby、Rails、Gem 和 Plugin 的文件。

### 進階閱讀

[Ruby-Doc.org][18] 整理了一份廣泛的英文文件列表，也有許多 [Ruby 書籍][19] 。中文文件列表請參考 [Ruby
Taiwan 文件][20] 。如果您有 Ruby 相關的問題， [郵件論壇](/en/community/mailing-lists/)
是個不錯的發問地方。



[1]: http://pine.fm/LearnToProgram/ 
[2]: http://rubylearning.com/ 
[3]: http://www.techotopia.com/index.php/Ruby_Essentials 
[4]: http://www.meshplex.org/wiki/Ruby/Ruby_on_Rails_programming_tutorials 
[5]: http://www.ruby-doc.org/docs/ProgrammingRuby/ 
[6]: http://pragmaticprogrammer.com/titles/ruby/index.html 
[7]: http://guides.ruby.tw/ruby/ 
[8]: http://ruby.tw 
[9]: http://en.wikibooks.org/wiki/Ruby_programming_language 
[10]: http://www.ruby-doc.org/core 
[11]: http://rdoc.sourceforge.net 
[12]: http://www.ruby-doc.org/stdlib 
[13]: http://www.ruby-doc.org/doxygen/current/ 
[14]: http://yardoc.org/docs 
[15]: http://rdoc.info/ 
[16]: http://railsapi.com/ 
[17]: http://www.rubydox.net/ 
[18]: http://ruby-doc.org 
[19]: http://www.ruby-doc.org/bookstore 
[20]: http://guides.ruby.tw 
