---
layout: page
title: "成功案例"
lang: zh_TW
---

不只是業餘愛好者，有許多人在他們的日常工作中使用了 Ruby。在此你將會看到世上使用 Ruby 的一些真實例子。

#### 模擬

* [NASA Langley 研究中心][1] 使用 Ruby 來操作模擬。
^

* [Motorola][2] 的研究團隊使用 Ruby 來操作模擬器，用來產生情境(scenarios)與後續處理資料。

#### 3D 模型建造

* [Google SketchUp][3] 是一個 3D 模型建造的應用程式，並使用 Ruby 當成的他的巨集腳本 API。

#### 商業應用

* [Toronto Rehab][4] 使用了基於 RubyWebDialogs
  的應用程式，來管理並追蹤資訊服務中心與資訊運作中心的電話支援服務，以及客戶端支援服務。

#### 機器人

* 在 [MORPHA][5] 計畫中，使用 Ruby 來實作西門子公司服務型機器人的反應控制部份。

#### 網路

* [Open Domain Server][6] 使用 Ruby 讓使用者可以使用『動態DNS客戶端程式』及時更新 IP
  設定來對應到靜態網域設定。

#### 電信

* Ruby 也被用在 [Lucent][7] 3G無線電信產品中。

#### 系統管理

* [Level 3 Communications][8] 的 Unix 產能規劃系統也使用 Ruby
  來撰寫中央資料收集部分，用來收集分佈各地超過 1700 台 Unix 機器 (Solaris and Linux) 的效能統計資料。

#### 網頁應用程式

* [Basecamp][9] ，由 [37signals][10] 公司完全以 Ruby 所撰寫的網頁專案管理系統。
^

* [43 Things][11] 可讓你保存43個想要達成的目標清單並與世界分享。他也是完全以 Ruby 所撰寫而成。
^

* [A List Apart][12], 從 1997 年就開始發行的一個針對網站製作者的雜誌，最近改版使用 Ruby on Rails
  所客製化而成的程式。
^

* [Blue Sequence][13] ，Toyota 汽車 “sequence-in-time” 生產流程中的一個先進的關鍵性任務應用
  (mission-critical application)，最近被選入 BCS 資訊管理獎的決選名單。



[1]: http://www.larc.nasa.gov/ 
[2]: http://www.motorola.com 
[3]: http://www.sketchup.com/ 
[4]: http://www.torontorehab.on.ca/ 
[5]: http://www.morpha.de/php_e/ 
[6]: http://ods.org/ 
[7]: http://www.lucent.com/ 
[8]: http://www.level3.com/ 
[9]: http://www.basecamphq.com 
[10]: http://www.37signals.com 
[11]: http://www.43things.com 
[12]: http://www.alistapart.com 
[13]: http://www.bluefountain.com/casestudies/bfs-deliver-a-2nd-sequence-production-system-for-toyota/ 
