---
layout: page
title: "文档 - Ruby 官方网站"
lang: zh_cn
---

在这里您可以找到手册、教程和参考资料的链接，在你喜欢上Ruby编程的时候，他们将帮上大忙。

### 入门

[尝试 Ruby！][1]
: [Why the Lucky Stiff][2] 为初学者提供的交互式网上教程。不必安装Ruby，此教程让您完全可以在您的浏览器中体验
  Ruby！

[学习编程][3]
: 由 Chris Pine 编写的编程入门，如果你还不了解程序，从这里开始吧。

[花20分钟体验](/zh_CN/documentation/quickstart/)
: 不错的介绍Ruby的基础知识的教程。从开始到结束不超过20分钟。

[从其它语言到 Ruby](/zh_CN/documentation/ruby-from-other-languages/)
: 已经熟悉其他的编程语言？不管是 C++, Java, Perl, PHP, 还是 Python, 这里都有介绍！

### 手册

[面向对象脚本语言 Ruby 参考手册][4]
: 稀亿网络软件(北京)翻译的一系列 Ruby 资料。

[Programming Ruby][5]
: 最有影响的 Ruby 教材，第一版是免费的 [Pragmatic Programmers’ book][6] 。

[Why’s (Poignant) Guide to Ruby][7]
: [Why the Lucky Stiff][2] 负责更新，内容有烤肉和狐狸，这部书正逐渐成为经典。

[Ruby User’s Guide][8]
: 从 Yukihiro Matsumoto (Ruby 的发明者) 编写的日文版翻译过来，Goto Kentaro 和 Mark
  Slagell 在这部教材里介绍了 Ruby 的各个方面的功能。

[The Ruby Programming Wikibook][9]
: 免费的在线语言参考资料，内容从 Ruby 初级到中级。

### 参考文献

[Ruby 内核参考][10]
: 直接从源代码中的 [RDoc][11] 提取，这个文档包含了所有的核心类和模块（比如 String, Array, Symbol 等）。

[Ruby 标准库参考][12]
: 同样是从源代码中提取，这个是标准库的参考。

[Ruby C API 参考][13]
: Ruby 下 C 代码的文档。如果您编写 C 的扩展或者参与 Ruby 的开发，这个文档是很有用的。

### 进一步阅读

[Ruby-Doc.org][14] 有完整的 Ruby 英文文档。这里有 [Ruby 的书籍][15] 。[Ruby Garden
Wiki][16] 里有用户维护的内容。如果您有问题，可以参加 Ruby
[邮件列表](/en/community/mailing-lists/) 的讨论。



[1]: http://tryruby.hobix.com/ 
[2]: http://whytheluckystiff.net 
[3]: http://pine.fm/LearnToProgram/ 
[4]: http://rubycn.ce-lab.net/ 
[5]: http://www.ruby-doc.org/docs/ProgrammingRuby/ 
[6]: http://pragmaticprogrammer.com/titles/ruby/index.html 
[7]: http://qa.poignantguide.net/ 
[8]: http://www.rubyist.net/~slagell/ruby/ 
[9]: http://en.wikibooks.org/wiki/Ruby_programming_language 
[10]: http://www.ruby-doc.org/core 
[11]: http://rdoc.sourceforge.net 
[12]: http://www.ruby-doc.org/stdlib 
[13]: http://www.ruby-doc.org/doxygen/current/ 
[14]: http://ruby-doc.org 
[15]: http://www.ruby-doc.org/bookstore 
[16]: http://wiki.rubygarden.org/Ruby 
