---
layout: page
title: "成功案例 - Ruby 官方网站"
lang: zh_cn
---

Many people use Ruby in their daily jobs. Others just as a hobby. Here
you’ll find a small sample of real world usage of Ruby.

#### Simulations

* [NASA Langley Research Center][1] uses Ruby to conduct simulations.
  [More…][2]
^

* A research group in [Motorola][3] uses Ruby to script a simulator,
  both to generate scenarios and to post process the data.

#### Business

* [Toronto Rehab][4] uses a RubyWebDialogs based app to manage and track
  on-call and on-site support for the IT help desk and IT operations
  teams.

#### Robotics

* At [MORPHA][5] project, Ruby was used to implemented the reactive
  control part for the Siemens service robot.

#### Networking

* [Open Domain Server][6] uses Ruby to allow people using Dynamic DNS
  clients to update in real time their IP configuration so that it can
  be mapped to static domains.

#### Telephony

* Ruby is being used within [Lucent][7] on a 3G wireless telephony
  product.

#### System Administration

* Ruby was used to write the central data collection portion of [Level 3
  Communications][8] Unix Capacity and Planning system that gathers
  performance statistics from over 1700 Unix (Solaris and Linux) servers
  scattered around the globe.

#### Web Applications

* [Basecamp][9], a web-based project management application developed by
  [37signals][10], is programmed entirely in Ruby.
^

* [43 Things][11] allows you to keep a list of goals and share it with
  the world. It was developed entirely in Ruby.
^

* [A List Apart][12], a magazine for people who make websites that has
  been around since 1997, has recently been revamped and uses a custom
  application built with Ruby on Rails.
^

* [Blue Sequence][13], a sophisticated mission-critical application
  which forms part of Toyota Motor Manufacturing’s own
  “sequence-in-time” production process, has recently been selected as
  finalist in this years British Computer (BCS) Information Management
  Awards.



[1]: http://www.larc.nasa.gov/ 
[2]: http://www-106.ibm.com/developerworks/linux/library/l-oslab/ 
[3]: http://www.motorola.com 
[4]: http://www.torontorehab.on.ca/ 
[5]: http://www.morpha.de/php_e/ 
[6]: http://ods.org/ 
[7]: http://www.lucent.com/ 
[8]: http://www.level3.com/ 
[9]: http://www.basecamphq.com 
[10]: http://www.37signals.com 
[11]: http://www.43things.com 
[12]: http://www.alistapart.com 
[13]: http://www.bluefountain.com/casestudies/bfs-deliver-a-2nd-sequence-production-system-for-toyota/ 
