---
layout: page
title: "Success Stories"
lang: en
---

Many people use Ruby in their daily jobs. Others just as a hobby. Here
you’ll find a small sample of real world usage of Ruby.

#### Simulations

* [NASA Langley Research Center][1] uses Ruby to conduct simulations.
^

* A research group in [Motorola][2] uses Ruby to script a simulator,
  both to generate scenarios and to post process the data.

#### 3D Modeling

* [Google SketchUp][3] is a 3D modeling application that uses Ruby for
  its macro scripting API.

#### Business

* [Toronto Rehab][4] uses a RubyWebDialogs based app to manage and track
  on-call and on-site support for the IT help desk and IT operations
  teams.

#### Robotics

* At [MORPHA][5] project, Ruby was used to implemented the reactive
  control part for the Siemens service robot.

#### Networking

* [Open Domain Server][6] uses Ruby to allow people using Dynamic DNS
  clients to update in real time their IP configuration so that it can
  be mapped to static domains.

#### Telephony

* Ruby is being used within [Lucent][7] on a 3G wireless telephony
  product.

#### System Administration

* Ruby was used to write the central data collection portion of [Level 3
  Communications][8] Unix Capacity and Planning system that gathers
  performance statistics from over 1700 Unix (Solaris and Linux) servers
  scattered around the globe.

#### Web Applications

* [Basecamp][9], a web-based project management application developed by
  [37signals][10], is programmed entirely in Ruby.
^

* [43 Things][11] allows you to keep a list of goals and share it with
  the world. It was developed entirely in Ruby.
^

* [A List Apart][12], a magazine for people who make websites that has
  been around since 1997, has recently been revamped and uses a custom
  application built with Ruby on Rails.
^

* [Blue Sequence][13], a sophisticated mission-critical application
  which forms part of Toyota Motor Manufacturing’s own
  “sequence-in-time” production process, has recently been selected as
  finalist the British Computer (BCS) Information Management Awards.

#### Security

* The [Metasploit Framework][14], a community open source project
  managed by [Rapid7][15], is a free penetration testing platform that
  helps IT professionals assess the security of their networks and
  applications. The Metasploit Project consists of over 700,000 lines of
  code and has been downloaded over a million times in 2010. The
  commercial editions [Metasploit Express][16] and [Metasploit Pro][17]
  developed by Rapid7 are also based on Ruby.



[1]: http://www.larc.nasa.gov/ 
[2]: http://www.motorola.com 
[3]: http://www.sketchup.com/ 
[4]: http://www.torontorehab.on.ca/ 
[5]: http://www.morpha.de/php_e/ 
[6]: http://ods.org/ 
[7]: http://www.lucent.com/ 
[8]: http://www.level3.com/ 
[9]: http://www.basecamphq.com 
[10]: http://www.37signals.com 
[11]: http://www.43things.com 
[12]: http://www.alistapart.com 
[13]: http://www.bluefountain.com/casestudies/bfs-deliver-a-2nd-sequence-production-system-for-toyota/ 
[14]: http://www.metasploit.com 
[15]: http://www.rapid7.com 
[16]: http://www.rapid7.com/products/metasploit-express.jsp 
[17]: http://www.rapid7.com/products/metasploit-pro.jsp 
