---
layout: news_post
title: "XSS in WEBrick (CVE-2010-0541)"
lang: en
---

A possible security vulnerability on WEBrick. The vulnerability has been
reported as [CVE-2010-0541][1].

### 

#### 

WEBrick have had a cross-site scripting vulnerability that allows an
attacker to inject arbitrary script or HTML via a crafted URI. This does
not affect user agents that strictly implement HTTP/1.1, however, some
user agents do not.

The affected versions are:

* Ruby 1.8.6-p399 or any prior releases.
* Ruby 1.8.7-p299 or any prior releases.
* Ruby 1.9.1-p429 or any prior releases.
* Ruby 1.9.2 RC2 or any prior releases.
* Development versions of Ruby 1.9 (1.9.3dev).

We recommend you to upgrade your ruby to the newest patch level
releases.

#### 

* Fixes for 1.8.6, 1.8.7 and 1.9.1 are to follow this announce.
  * 1\.8.6:
  * 1\.8.7: please upgrade to [1.8.7 patchlevel 302][2]
  * 1\.9.1: please upgrade to [1.9.1 patchlevel 430][3]

* For development versions, please update to the most recent revision
  for each development branch.
* You can also fix the vulnerability by applying a patch to
  <kbd>$(libdir)/ruby/$\{ruby\_version}/webrick/httpresponse.rb</kbd>.
  The patch is available at
  [&lt;URL:ftp://ftp.ruby-lang.org/pub/misc/webrick-cve-2010-0541.diff&gt;][4].
  It is written by Hirokazu NISHIO.
  
  : 466 bytes
  
  
  : 395585e1aae7ddef842f0d1d9f5e6e07
  
  
  : 6bf7dea0fc78f0425f5cbb90f78c3485793f27bc60c11244b6ba4023445f3567

#### 

The veulnerability was found by Apple and reported to the Ruby security
team by Hideki Yamane.

### 

* Originally published at 2010-08-16 10:26:03 JST.
* 1\.9.1 patchlevel 430 released
* 1\.8.7 patchlevel 301 released
* 1\.8.7 patchlevel 302 released because pl301 was broken. Please use it
  instead.

* * *

<small>[\[ruby-dev:42003\]][5]</small>
{: .foottext}



[1]: http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2010-0541 
[2]: http://blade.nagaokaut.ac.jp/cgi-bin/scat.rb/ruby/ruby-talk/367769 
[3]: http://www.ruby-lang.org/en/news/2010/08/16/ruby-1-9-1-p430-is-released/ 
[4]: ftp://ftp.ruby-lang.org/pub/misc/webrick-cve-2010-0541.diff 
[5]: http://blade.nagaokaut.ac.jp/cgi-bin/scat.rb/ruby/ruby-dev/42003 
