---
layout: news_post
title: "WEBrickのXSS脆弱性 (CVE-2010-0541)"
lang: ja
---

WEBrickにセキュリティ上の脆弱性が発見されました。この脆弱性は[CVE-2010-0541][1]として報告されているものです。

## 

WEBrickにはクロスサイトスクリプティング脆弱性がありました。これは攻撃者が工夫したURIを使用することにより、任意のスクリプトやHTMLの挿入を許してしまうものです。
この脆弱性はHTTP/1.1を厳密に実装したユーザエージェントに対しては影響ありませんが、そうではないユーザエージェントも存在しています。

対象となるバージョンは以下のものです。

* Ruby 1.8.6-p399 とそれ以前のバージョン
* Ruby 1.8.7-p299 とそれ以前のバージョン
* Ruby 1.9.1-p429 とそれ以前のバージョン
* Ruby 1.9.2 RC2 とそれ以前のバージョン
* Ruby 1.9開発版 (1.9.3dev).

該当するバージョンを利用されている方には、すみやかに最新のパッチレベルリリースにアップグレードすることを推奨します。

## 

1\.8.6と1.8.7、1.9.1の修正版リリースについては、以下の通りです。

* 1\.8.6:
* 1\.8.7: [1.8.7-p302][2] にアップグレードしてください。
* 1\.9.1: [1.9.1-p430][3] にアップグレードしてください。

開発版については、開発用ブランチの最新のリビジョンに更新してください。

パッチを当てることにより自身で修正することもできます。対象となるファイルは
$(libdir)/ruby/$\{ruby\_version}/webrick/httpresponse.rb です。このパッチは
[&lt;URL:ftp://ftp.ruby-lang.org/pub/misc/webrick-cve-2010-0541.diff&gt;][4]
より取得できます。これは Hirokazu NISHIO 氏により作成されたものです。


: 466 bytes


: 395585e1aae7ddef842f0d1d9f5e6e07


: 6bf7dea0fc78f0425f5cbb90f78c3485793f27bc60c11244b6ba4023445f3567

## 

この脆弱性はApple社により発見され、CVE-2010-0541として公開されたものを、Hideki
Yamane氏がRubyセキュリティチームに報告したものです( [\[ruby-dev:42003\]][5] )。

## 

* 2010-08-16 10:26:03 JST に最初の版を公開（日本語版注：日本語版は2010-08-16 12:39 JSTに公開）。
* 2010-08-16 21:28(JST) 1.9.1-p430と1.8.7-p302の記載とリンクを追加

Posted by maki on 16 Aug 2010
{: .post-info}



[1]: http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2010-0541 
[2]: http://www.ruby-lang.org/ja/news/2010/08/16/ruby-1-8-7-p302-is-released/ 
[3]: http://www.ruby-lang.org/ja/news/2010/08/16/ruby-1-9-1-p430-is-released/ 
[4]: ftp://ftp.ruby-lang.org/pub/misc/webrick-cve-2010-0541.diff 
[5]: http://blade.nagaokaut.ac.jp/cgi-bin/scat.rb/ruby/ruby-dev/42003 
